using System;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;
[Serializable]
public class PasswordHolder {
	private const string const_pw = "constpasswd";
	private static readonly string static_pw = "staticpasswd";
	private string private_pw = "privatepasswd";
	public void Print() {
		Console.WriteLine("ConstPW : {0}, StaticPW : {1}, PrivatePW : {2}", const_pw, static_pw, private_pw);
	}
}
public class PasswordHolderSerializeTest {
	static void Main() {
		const string FILENAME = "passwd.bin";
		PasswordHolder ph = new PasswordHolder(), ds_ph;
		BinaryFormatter bf = new BinaryFormatter();
		using (FileStream fs = File.OpenWrite(FILENAME)) {
			bf.Serialize(fs, ph);
		}
		using (FileStream fs = File.OpenRead(FILENAME)) {
			ds_ph = (PasswordHolder)bf.Deserialize(fs);
		}
		ph.Print();
		ds_ph.Print();
	}
}
